## freedink 108.4+dfsg

=== test/sdl/Makefile ===
CFLAGS=-Wall -g $(shell sdl-config --cflags)
LDLIBS=$(shell sdl-config --libs)

.PHONY: all

PROGS = joytest mousetest msb ticks embedded_font embedded_font2	\
	keycodes videoinfo fade
all: $(PROGS)

embedded_font: embedded_font.o SDL_rwops_zzip.o
# statically compile otherwise it's too small to test upx
	$(CC) embedded_font.o SDL_rwops_zzip.o $(LDLIBS) -lSDL_ttf -Wl,-Bstatic -lzzip -Wl,-Bdynamic -o $@
#	UPX needs to be called first, otherwise it'll make the zip unreadable
	upx --ultra-brute --best embedded_font$(EXEEXT)

# - Append a zip resource archive to the executable -
# http://zziplib.sourceforge.net/sfx-make.html trick:
#	zip -0 -j tmp.zip embedded_font$(EXEEXT)
#	zip -9 -j tmp.zip ../../share/freedink/LiberationSans-Regular.ttf
##	zzipsetstub example.zip example.exe
#	dd conv=notrunc if=embedded_font$(EXEEXT) of=tmp.zip
#	mv tmp.zip embedded_font$(EXEEXT)
#	chmod +x embedded_font$(EXEEXT)

# Simply using zip -A:
# - can't use -A and add files at the same time,
# - can't >> from 'zip',
# => temporary file
	zip -j res.zip ../../share/freedink/LiberationSans-Regular.ttf
	cat res.zip >> embedded_font$(EXEEXT)
	rm -f res.zip
	zip -A embedded_font$(EXEEXT)

embedded_font2: embedded_font2.o SDL_rwops_libzip.o
	$(CC) embedded_font2.o SDL_rwops_libzip.o $(LDLIBS) -lSDL_ttf -Wl,-Bstatic -lzip -Wl,-Bdynamic -o $@
	zip -j res.zip ../../share/freedink/LiberationSans-Regular.ttf
	cat res.zip >> embedded_font2$(EXEEXT)
	rm -f res.zip
	zip -A embedded_font2$(EXEEXT)

# woe: i586-mingw32msvc-gcc -Dmain=SDL_main -static -I /usr/local/cross-tools/i386-mingw32msvc/include -I/usr/local/cross-tools/i386-mingw32msvc/include/SDL -L/usr/local/cross-tools/i386-mingw32msvc/lib SDL_rwops_libzip.c embedded_font2.c -lmingw32 -lSDL_ttf -lfreetype  -lSDLmain -lSDL -mwindows -lzip -lz -lwinmm -ldxguid

clean:
	-rm -f $(PROGS) $(PROGS:%=%.exe) *.o *~

## freedink 1.08.20120427

=== debian/changelog ===
freedink (1.08.20120427-2.1ubuntu1) saucy; urgency=low

  * Depend on fonts-liberation rather than ttf-liberation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Sep 2013 15:32:18 +0100

freedink (1.08.20120427-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/freedink{,-engine-dbg}.postinst: Fix directory to symlink upgrade
    in postinst (Closes: #687860, #687851)

 -- David Prévot <taffit@debian.org>  Wed, 26 Sep 2012 17:19:26 -0400

freedink (1.08.20120427-2) unstable; urgency=low

  * Update install-reloc (Closes: #671044)

 -- Sylvain Beucler <beuc@debian.org>  Wed, 2 May 2012 14:00:00 +0200

freedink (1.08.20120427-1) unstable; urgency=low

  * New Upstream Version
  * Upgrade packaging to debhelper 7 and source format 3.0 (quilt)
  * Update copyright file
  * Bump Standards-Version to 3.9.3
  * Update official webpage
  
 -- Sylvain Beucler <beuc@debian.org>  Fri, 27 Apr 2012 19:00:00 +0200

freedink (1.08.20101114-1) experimental; urgency=low

  * Precise licenses versions in debian/copyright, fixes
    copyright-refers-to-symlink-license lintian warning
  * Update copyright about new translations
  * Symlink 'freedink' documentation to 'freedink-engine' (requires
    debhelper >= 7.4.2)
  * Bump Standards-Version to 3.9.1
  * Update my email address in Uploaders

 -- Sylvain Beucler <beuc@debian.org>  Sun, 14 Nov 2010 00:59:28 +0100

freedink (1.08.20100420-1) unstable; urgency=low

  * New Upstream Version (Closes: #578444)
  * Add debian/source/format to document we're using source format 1.0 (to
    ease backports) and fix missing-debian-source-format lintian warning

 -- Sylvain Beucler <beuc@beuc.net>  Tue, 20 Apr 2010 22:19:58 +0200

freedink (1.08.20100321-1) unstable; urgency=low

  * New Upstream Version
  * Update years in debian/copyright and add translations information
  * Bump Standards-Version to 3.8.4
  * Fix debhelper-but-no-misc-depends by adding ${misc:Depends} in binary
    packages dependencies
  * Add missing acsite.m4 which is necessary to autoreconf and was missing
    for tarball; note that the packaging does not autoreconf, but my
    sponsor asked for it ;)

 -- Sylvain Beucler <beuc@beuc.net>  Tue, 13 Apr 2010 17:42:59 +0200

freedink (1.08.20090918-1) unstable; urgency=low

  * New Upstream Version
  * Fix/update packaging copyright notices
  * Drop libffi dependency: not used upstream anymore
  * Replace timidity dependency with freepats, thanks to recent fix in
    sdl-mixer1.2 1.2.8-6
  * Move -dbg package to the debug section
  * Don't symlink LiberationSans-Regular.ttf since FreeDink uses
    FontConfig to locate it
  * Bump Standards-Version to 3.8.3
  * Move update of config.sub/config.guess from clean to build target
  * Add gbp.conf to ignore .gitignore files automatically
  * Rename BUILD to README.source

 -- Sylvain Beucler <beuc@beuc.net>  Fri, 18 Sep 2009 23:32:06 +0200

freedink (1.08.20090120-1) unstable; urgency=low

  [ Sylvain Beucler ]
  * New Upstream Version
  * update debian/BUILD
  * add a build-dependency on libffi-dev

  [ Gonéri Le Bouder ]
  * use Debian version of LiberationSans-Regular.ttf
   - freedink-engine depends on ttf-liberation
   - update debian/rules to create a symlink
  * update Sylvain's changelog entry to add some missing points
  * add the year 2009 in debian/copyright for Sylvain Beucler

 -- Sylvain Beucler <beuc@beuc.net>  Sat, 31 Jan 2009 23:15:04 +0100

freedink (1.08.20080920.dfsg-1) unstable; urgency=low

  * Initial package (Closes: #492760)
  * Reflect dfarc -> freedink-dfarc rename
  * Watch official ftp.gnu.org release location
  * Point Vcs-* to the Debian packaging rather than the development
    repository

 -- Sylvain Beucler <beuc@beuc.net>  Sat, 20 Sep 2008 20:34:22 +0200

=== debian/control ===
Source: freedink
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sylvain Beucler <beuc@debian.org>
Build-Depends: debhelper (>= 7.4.2), autotools-dev, pkg-config, libsdl1.2-dev, libsdl-gfx1.2-dev, libsdl-ttf2.0-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libfontconfig1-dev
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/freedink/
Vcs-Git: git://git.debian.org/git/pkg-games/freedink.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/freedink.git

Package: freedink-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freedink-data, fonts-liberation, freepats
Recommends: freedink-dfarc
Description: adventure and role-playing game (engine)
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humour, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 GNU FreeDink is a new and portable version of the game engine, which
 runs the original game as well as its D-Mods, with close
 compatibility, under multiple platforms.
 .
 This package contains the game engine alone.

Package: freedink-engine-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, freedink-engine (= ${binary:Version})
Description: debugging symbols for freedink
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humour, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 GNU FreeDink is a new and portable version of the game engine, which
 runs the original game as well as its D-Mods, with close
 compatibility, under multiple platforms.
 .
 This package contains the debugging symbols for freedink.

Package: freedink
Architecture: all
Depends: ${misc:Depends}, freedink-engine, freedink-dfarc
Description: adventure and role-playing game
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humour, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 GNU FreeDink is a new and portable version of the game engine, which
 runs the original game as well as its D-Mods, with close
 compatibility, under multiple platforms.
 .
 This package is a metapackage to install the game, its data and a
 front-end to manage game options and D-Mods.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --parallel --with autotools_dev
	#Install autotools-dev's config.sub and config.guess, if newer:
	#chmod 755 debian/update-autotools-config.sh
	#debian/update-autotools-config.sh autotools/

override_dh_auto_configure:
	# Using '--bindir=/usr/games' by Debian policy
	#   (e.g. not the case for Fedora)
	# Using '--disable-embedded-resources' because 'dh_strip' will remove
	#   them anyway, and we need it for the -dbg package -- too bad :/
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games --disable-embedded-resources 

override_dh_strip:
	# Create -dbg package with debug symbols for gdb
	dh_strip --dbg-package=freedink-engine-dbg

override_dh_auto_install:
	# There's only one real package, let's not bother with
	# debian/tmp + move files in dh_install - install straight in
	# the appropriate directory
	dh_auto_install --destdir=debian/freedink-engine
	# Lintian complains with 'duplicate-font-file', let's have
	# FreeDink rely on libfontconfig + depend on ttf-liberation
	rm debian/freedink-engine/usr/share/games/freedink/LiberationSans-Regular.ttf

override_dh_installdocs:
	# --link-doc requires debhelper 7.4.2
	dh_installdocs --link-doc=freedink-engine

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg$// \
 http://ftp.gnu.org/gnu/freedink/freedink-(\d.*)\.tar\.gz debian uupdate

## freedink 108.2

=== debian/changelog ===
freedink (108.2-1) unstable; urgency=low

  * New Upstream Version
  * Depend on fonts-liberation rather than on renamed ttf-liberation
    (Closes: #722357)
  * Bump compat to 9 to address lintian 'hardening-no-relro'
  * Bump Standards-Version to 3.9.5 (no changes)
  * Use XPM icon from src/ rather than duplicating it in debian/
  * Compile with -O1 on Raspbian to avoid weird segfault
  * watch: add pgpsigurlmangle option (fixes Lintian
    debian-watch-may-check-gpg-signature)

 -- Sylvain Beucler <beuc@debian.org>  Thu, 29 May 2014 10:34:38 +0200

freedink (1.08.20121209-1) experimental; urgency=low

  * New Upstream Version (Closes: #688934)
  * Remove patch for install-reloc (integrated upstream)

 -- Sylvain Beucler <beuc@debian.org>  Sun, 09 Dec 2012 18:09:55 +0100

## freedink 108.4

=== debian/changelog ===
freedink (108.4-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * No changes.

 -- Sylvain Beucler <beuc@debian.org>  Sun, 02 Nov 2014 18:21:50 +0100

freedink (108.4-1) unstable; urgency=low

    * New Upstream Version
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Sylvain Beucler <beuc@debian.org>  Wed, 22 Oct 2014 14:04:34 +0200

## freedink 108.4+dfsg

=== debian/changelog ===
freedink (108.4+dfsg-3) unstable; urgency=medium

  * Properly implement /usr/share/doc/freedink symlink_to_dir - thanks anbe
  (Closes: #860114)

 -- Sylvain Beucler <beuc@debian.org>  Tue, 11 Apr 2017 19:35:07 +0200

freedink (108.4+dfsg-2) unstable; urgency=medium

  * Don't symlink /usr/share/doc/freedink to support binNMU
  * Fix segfault when loading game and exiting editor.
  
 -- Sylvain Beucler <beuc@debian.org>  Sun, 09 Apr 2017 23:10:58 +0200

freedink (108.4+dfsg-1) unstable; urgency=medium

  * Stub out share/freedink/LiberationSans-Regular.ttf (Closes: #851110)
  * debian/watch: mangle '+dfsg'
  * Bump Standards-Version to 3.9.8 (no changes)

 -- Sylvain Beucler <beuc@debian.org>  Sun, 22 Jan 2017 21:06:51 +0100

=== debian/control ===
Source: freedink
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sylvain Beucler <beuc@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, libsdl1.2-dev, libsdl-gfx1.2-dev, libsdl-ttf2.0-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libfontconfig1-dev, check
Standards-Version: 3.9.8
Homepage: http://www.gnu.org/software/freedink/
Vcs-Git: git://git.savannah.gnu.org/freedink.git
Vcs-Browser: http://git.savannah.gnu.org/cgit/freedink.git

Package: freedink-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freedink-data, fonts-liberation, freepats
Recommends: freedink-dfarc
Description: humorous top-down adventure and role-playing game (engine)
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humor, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 GNU FreeDink is a new and portable version of the game engine, which
 runs the original game as well as its D-Mods, with close
 compatibility, under multiple platforms.
 .
 This package contains the game engine alone.

Package: freedink-engine-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, freedink-engine (= ${binary:Version})
Description: debugging symbols for freedink
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humor, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 GNU FreeDink is a new and portable version of the game engine, which
 runs the original game as well as its D-Mods, with close
 compatibility, under multiple platforms.
 .
 This package contains the debugging symbols for freedink.

Package: freedink
Architecture: all
Depends: ${misc:Depends}, freedink-engine, freedink-dfarc
Description: humorous top-down adventure and role-playing game
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humor, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 GNU FreeDink is a new and portable version of the game engine, which
 runs the original game as well as its D-Mods, with close
 compatibility, under multiple platforms.
 .
 This package is a metapackage to install the game, its data and a
 front-end to manage game options and D-Mods.

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,14 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+# As of 2014-05, there are issues on Raspbian with -O2 or -Os
+# Cf. https://bugs.launchpad.net/raspbian/+bug/1322849
+ifeq ($(DEB_HOST_ARCH), armhf)
+	export DEB_CFLAGS_MAINT_SET=$(patsubst -O%,-O1,$(shell dpkg-buildflags --get CFLAGS))
+endif
 
 %:
 	dh $@ --parallel --with autotools_dev
-	#Install autotools-dev's config.sub and config.guess, if newer:
-	#chmod 755 debian/update-autotools-config.sh
-	#debian/update-autotools-config.sh autotools/
 
 override_dh_auto_configure:
 	# Using '--bindir=/usr/games' by Debian policy
@@ -41,10 +43,8 @@
 	# Lintian complains with 'duplicate-font-file', let's have
 	# FreeDink rely on libfontconfig + depend on ttf-liberation
 	rm debian/freedink-engine/usr/share/games/freedink/LiberationSans-Regular.ttf
-
-override_dh_installdocs:
-	# --link-doc requires debhelper 7.4.2
-	dh_installdocs --link-doc=freedink-engine
+	# Install XPM icon
+	cp -a src/freedink_xpm.c debian/freedink-engine/usr/share/pixmaps/freedink.xpm
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg// \
 http://ftp.gnu.org/gnu/freedink/freedink-(\d.*)\.tar\.gz debian uupdate

## freedink 109.6

=== debian/changelog ===
freedink (109.6-8) unstable; urgency=medium

  * Rewrite d/copyright in machine-parsable format

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 13:25:46 +0200

freedink (109.6-7) unstable; urgency=medium

  * Adopt game (Closes: #938934)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 May 2025 00:24:24 +0200

freedink (109.6-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.3.0.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Remove an obsolete maintscript entry.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Re-export upstream signing key without extra signatures.
  * Drop transition for old debug package migration.
  * Replaced obsolete build dependency libfontconfig1-dev with libfontconfig-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 01 May 2024 12:56:31 +0200

freedink (109.6-5) unstable; urgency=medium

  * QA upload.
  * debian/patches/config.h.patch: always include config.h before
    unistd.h.

 -- Steve Langasek <vorlon@debian.org>  Sat, 04 Mar 2023 08:43:43 +0000

freedink (109.6-4) unstable; urgency=medium

  * QA upload.
  * Fix const pointer declarations. Closes: #1015106.

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Jul 2022 07:59:27 +0200

freedink (109.6-3) unstable; urgency=medium

  * QA upload.
  * Build with SDL2 2.0.10. Closes: #952014.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Mar 2020 12:38:03 +0100

freedink (109.6-2) unstable; urgency=medium

  * Orphan package.

 -- Sylvain Beucler <beuc@debian.org>  Fri, 30 Aug 2019 13:25:04 +0200

freedink (109.6-1) unstable; urgency=medium

  * New Upstream Version

 -- Sylvain Beucler <beuc@debian.org>  Sun, 17 Feb 2019 00:20:00 +0100

freedink (109.4-4) unstable; urgency=medium

  * Update AppStream from upstream

 -- Sylvain Beucler <beuc@debian.org>  Sat, 02 Feb 2019 13:22:42 +0100

freedink (109.4-3) unstable; urgency=medium

  * Revert AppStream to install 'freedink-engine' since splitting appdata
    and desktop files is causing troubles

 -- Sylvain Beucler <beuc@debian.org>  Tue, 29 Jan 2019 13:49:25 +0100

freedink (109.4-2) unstable; urgency=medium

  * Use Breaks&Replace to move Appstream file from freedink-engine to
    freedink (Closes: #920733)

 -- Sylvain Beucler <beuc@debian.org>  Mon, 28 Jan 2019 21:54:00 +0100

freedink (109.4-1) unstable; urgency=medium

  * Make AppStream install 'freedink' meta-package rather than
    'freedink-engine'
  * Fix dbgsym-migration version

 -- Sylvain Beucler <beuc@debian.org>  Sun, 27 Jan 2019 22:37:02 +0100

freedink (109.2-1) unstable; urgency=medium

  * New Upstream Version
  * Drop item and icon for obsolete debian menu system
  * Add upstream GPG key
  * Bump debhelper compat to 10
  * Update obsolete 'extra' priority to 'optional'
  * Use https for Homepage and Vcs-Browser fields, and for watch file
  * Remove now-default options to 'dh' invocation

 -- Sylvain Beucler <beuc@debian.org>  Sat, 19 Jan 2019 00:05:00 +0100

=== debian/control ===
Source: freedink
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cxxtest,
 libfontconfig-dev,
 libglm-dev,
 libsdl2-dev (>= 2.0.10),
 libsdl2-gfx-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://www.gnu.org/software/freedink/
Vcs-Browser: https://salsa.debian.org/games-team/freedink
Vcs-Git: https://salsa.debian.org/games-team/freedink.git
X-Style: black

Package: freedink-engine
Architecture: any
Depends:
 fonts-liberation,
 freedink-data,
 freepats,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 freedink-dfarc,
Description: humorous top-down adventure and role-playing game (engine)
 Dink Smallwood is an adventure/role-playing game, similar to classic
 Zelda, made by RTsoft. Besides twisted humor, it includes the actual
 game editor, allowing players to create hundreds of new adventures
 called Dink Modules or D-Mods for short.
 .
 GNU FreeDink is a new and portable version of the game engine, which
 runs the original game as well as its D-Mods, with close
 compatibility, under multiple platforms.
 .
 This package contains the game engine alone.

Package: freedink
Architecture: all
Depends:
 freedink-dfarc,
 freedink-engine,
 ${misc:Depends},
Description: humorous top-down adventure and role-playing game
 Dink Smallwood is an adventure/role-playing game, similar to classic
 Zelda, made by RTsoft. Besides twisted humor, it includes the actual
 game editor, allowing players to create hundreds of new adventures
 called Dink Modules or D-Mods for short.
 .
 GNU FreeDink is a new and portable version of the game engine, which
 runs the original game as well as its D-Mods, with close
 compatibility, under multiple platforms.
 .
 This package is a metapackage to install the game, its data and a
 front-end to manage game options and D-Mods.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	# Using '--bindir=/usr/games' by Debian policy
	#   (e.g. not the case for Fedora)
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games \
		--disable-silent-rules --disable-tests

override_dh_auto_install:
	# There's only one real package, let's not bother with
	# debian/tmp + move files in dh_install - install straight in
	# the appropriate directory
	dh_auto_install --destdir=debian/freedink-engine
	# Lintian complains with 'duplicate-font-file', let's have
	# FreeDink rely on libfontconfig + depend on ttf-liberation
	rm debian/freedink-engine/usr/share/games/freedink/LiberationSans-Regular.ttf

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg// \
 https://ftp.gnu.org/gnu/freedink/freedink-(\d.*)\.tar\.gz debian uupdate
